Last Comment Bug 660573 - Disabled Add-on entries need to enhance their state of appearance in Gingerbread theme
: Disabled Add-on entries need to enhance their state of appearance in Gingerbr...
Status: VERIFIED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 6
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 659457
  Show dependency treegraph
 
Reported: 2011-05-29 20:47 PDT by Aaron Train [:aaronmt]
Modified: 2011-06-03 13:37 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Add-ons pane (42.60 KB, image/png)
2011-05-29 20:47 PDT, Aaron Train [:aaronmt]
no flags Details

Description Aaron Train [:aaronmt] 2011-05-29 20:47:59 PDT
Created attachment 535989 [details]
Add-ons pane

Mozilla/5.0 (Android; Linux armv7l; rv:7.0a1) Gecko/20110529 Firefox/7.0a1 Fennec/7.0a1

The following changeset [1] contains modifications to the Gingerbread theme which landed patches from Bug 659457. 

[1] http://hg.mozilla.org/mozilla-central/rev/113014cf801a

The Add-ons pane will list the users installed addons, both enabled and disabled. Disabled entries in the Gingerbread theme are too similar to those that are enabled, and the rightmost label that indicates their extension type seems to be the opposite color depending on the state of the extension. Disabled is white, and enabled is grey. See screenshot.

In the screenshot I have Phony disabled and Wikipedia disabled.
Comment 1 Ian Barlow (:ibarlow) 2011-05-30 08:20:25 PDT
Let's switch these colours, then: http://cl.ly/0U3M3g2B1q2z2C3a0N37

Coincidentally, this will fix an issue Madhava and I were having with the descriptive text being too dark on the enabled cells. :)
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-31 13:09:38 PDT
fixed in bug 660570
Comment 3 Aaron Train [:aaronmt] 2011-06-01 06:29:05 PDT
Verified fixed
Mozilla/5.0 (Android; Linux armv7l; rv:7.0a1) Gecko/20110601 Firefox/7.0a1 Fennec/7.0a1

Note You need to log in before you can comment on or make changes to this bug.